LINUX.ORG.RU

Что нужно еще доустановить/донастроить?

 ,


0

1

Только изучаю latex.
Есть такой код(ну или как это правильно называть):

\documentclass[14pt,a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage{ucs}
\frenchspacing
\usepackage[english,russian]{babel}%используем русский и английский языки с переносами
\usepackage{indentfirst} %отступ у первой красной строки
\begin{document}
Проверка!
\end{document}
При запуске latex test.tex выводит вот, что.
Что не так?
(Ставил вот так: emerge -av virtual/latex-base)

★★★★★

-> \usepackage{ucs}

вот это зачем?

ucs.sty относится к пакету dev-texlive/texlive-latexextra.

У меня он пишет: (ucs) You seem to have loaded inputencoding utf8

(ucs) (LaTeX kernel UTF-8) instead of utf8x (ucs.sty UTF-8).

(ucs) Probably you are compiling a document written for a

(ucs) pre-august-2004 ucs.sty.

Т.е. либо ты используешь inputenc utf8 без ucs, либо utf8x с пакетом ucs

tis ()
qwork qnikst # eix latex -I --only-names
dev-tex/latex-beamer
dev-texlive/texlive-latex
dev-texlive/texlive-latexextra
dev-texlive/texlive-latexrecommended
virtual/latex-base

у меня ещё пара пактов g-ctan-ом поставлены.

qnikst ★★★★★ ()
Ответ на: комментарий от BattleCoder

А, понял в чем проблема, не тот пакет за базовый принял.

deterok ★★★★★ ()

Всем спасибо за помощь.

deterok ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.